Subject: bug#44090: Packaging a python library that is implemented with rust

From: Leo Prikler <[email-masked]>
Date: Tue, 20 Oct 2020 12:23:54 +0200

Hello Hamzeh,

I think part of the issue here, is that the build system for etebase-py 
tries to also build etebase-rs, which you have already packaged.  There
are two ways you could continue here:

1. Patch the build system of etebase-py, so that it works with your
already built etebase-rs.

2. Pull in the etebase-rs source as input to etebase-py and build
everything as one package.

I am not sure, which option makes more sense here.  I do lean a bit
more towards #1, but others may weigh in on this as well.  I'm pretty
sure you can disregard setuptools-rust if you choose #1.  If you do #2,
you might have to mix some of the rust-build-system phases into python-
etebase.

Regards, Leo